# gio.AppLaunchContext

Application launch context.

## Synopsis

gio.AppLaunchContext
gobject.GObject
gio.AppLaunchContext
get_display
info
files
get_startup_notify_id
info
files
launch_failed
startup_notify_id

## Ancestry

    +-- gobject.GObject
      +-- gio.AppLaunchContext

## Description

The `gio.AppLaunchContext` is used for integrating the launch with the launching application. This is used to handle for instance startup notification and launching the new application on the same screen as the launching window.

## Constructor

                gio.AppLaunchContext

Returns :

  a new `gio.AppLaunchContext`.

Creates a new application launch context. This is not normally used, instead you instantiate a subclass of this, such as `gtk.gdk.AppLaunchContext`.

## Methods

### gio.AppLaunchContext.get_display

                    get_display
                    info
                    files

`info` :

  a `gio.AppInfo`

`files` :

  a list of `gio.File` objects.

Returns :

  a display string for the display.

The `get_display`() method gets the display string for the display. This is used to ensure new applications are started on the same display as the launching application.

### gio.AppLaunchContext.get_startup_notify_id

                    get_startup_notify_id
                    info
                    files

`info` :

  a `gio.AppInfo`

`files` :

  a list of `gio.File` objects.

Returns :

  a startup notification ID for the application, or `None` if not supported.

The `get_startup_notify_id`() method initiates startup notification for the application and returns the DESKTOP_STARTUP_ID for the launched operation, if supported.

Startup notification IDs are defined in the FreeDesktop.Org Startup Notifications standard.

### gio.AppLaunchContext.launch_failed

                    launch_failed
                    startup_notify_id

`startup_notify_id` :

  the startup notification id that was returned by `get_startup_notify_id`.

Returns :

  a startup notification ID for the application, or `None` if not supported.

The `get_startup_notify_id`() method is called when an application has failed to launch, so that it can cancel the application startup notification started in `get_startup_notify_id`